<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<meta http-equiv="X-UA-Compatible" content="ie=edge" />
		<meta name="description" content="{{ site.description }}" />
		{%- for metatag in site.metatags %}
		<meta{% for m in metatag %} {{m[0]}}="{{m[1]|escape}}" {% endfor %} />
		{%- endfor %}
		<title>
			{{ site.title or renderData.title or title or metadata.title }}
			{{ fontdata[0].name | gitlabbify }}
		</title>
		<link
			rel="stylesheet"
			href="{% webpackAssetPath '../css/main.css' %}"
		/>
		<script defer src="{% webpackAssetPath '../js/main.js' %}"></script>
		<script>
			document.documentElement.setAttribute(
				"data-dark-mode",
				localStorage.getItem("dark-mode")
			);
		</script>
	</head>

	<body>
		{{ content }}
	</body>
	<script>
		document
			.querySelector(".dark-mode-toggle")
			.addEventListener("click", () => {
				const isDarkMode = localStorage.getItem("dark-mode") === "true";
				document.documentElement.setAttribute(
					"data-dark-mode",
					!isDarkMode
				);
				localStorage.setItem("dark-mode", !isDarkMode);
			});
	</script>
</html>
